Commit 50839814 authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Specified minimal version for py_tools_ds.

parent 537e4d24
py_tools_ds
py_tools_ds>=0.4.1
numpy
matplotlib
six
......@@ -11,4 +11,4 @@ geojson
folium
scikit-image
#holoviews
git+https://github.com/matplotlib/basemap.git
#git+https://github.com/matplotlib/basemap.git
......@@ -11,8 +11,8 @@ with open('HISTORY.rst') as history_file:
history = history_file.read()
requirements = [
'py_tools_ds', 'numpy', 'matplotlib', 'six', 'gdal', 'shapely', 'geopandas', 'dill', 'mpld3', 'geojson', 'folium',
'scikit-image'
'py_tools_ds>=0.4.1', 'numpy', 'matplotlib', 'six', 'gdal', 'shapely', 'geopandas', 'dill', 'mpld3', 'geojson',
'folium', 'scikit-image'
#'holoviews', # conda install --yes -c ioam bokeh holoviews=1.8.0 ; \
# git+https://github.com/matplotlib/basemap.git
]
......
FROM centos:7
RUN yum update -y && \
yum install -y wget vim bzip2 gcc gcc-c++ make libgl1-mesa-glx mesa-libGL qt5-qtbase-gui git # TODO
yum install -y wget vim bzip2 gcc gcc-c++ make libgl1-mesa-glx mesa-libGL qt5-qtbase-gui git
ENV anaconda_dl 'Anaconda3-4.3.1-Linux-x86_64.sh'
RUN /bin/bash -i -c "cd /root; wget https://repo.continuum.io/archive/$anaconda_dl ; \
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment